Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sim.display3d
Class ToolTipBehavior

    java.lang.Object
      javax.media.j3d.SceneGraphObject
          javax.media.j3d.Node
              javax.media.j3d.Leaf
                  javax.media.j3d.Behavior
                      com.sun.j3d.utils.picking.behaviors.PickMouseBehavior
                          sim.display3d.ToolTipBehavior

    public class ToolTipBehavior

extends com.sun.j3d.utils.picking.behaviors.PickMouseBehavior

A behavior similar to SelectionBehavior, except you don't have to double-click and the resulting info is presented in a tool-tip, not the console I'm using swings default (ToolTipManager) initialDelay constant, but I did not implement DismissDelay, ReshowDelay

Field Summary

Fields inherited from class com.sun.j3d.utils.picking.behaviors.PickMouseBehavior
`buttonPress, conditions, currGrp, debug, mevent, pickCanvas, wakeupCondition`

Fields inherited from class javax.media.j3d.Node
`ALLOW_AUTO_COMPUTE_BOUNDS_READ, ALLOW_AUTO_COMPUTE_BOUNDS_WRITE, ALLOW_BOUNDS_READ, ALLOW_BOUNDS_WRITE, ALLOW_COLLIDABLE_READ, ALLOW_COLLIDABLE_WRITE, ALLOW_LOCAL_TO_VWORLD_READ, ALLOW_PICKABLE_READ, ALLOW_PICKABLE_WRITE, ENABLE_COLLISION_REPORTING, ENABLE_PICK_REPORTING`

Constructor Summary
`ToolTipBehavior(javax.media.j3d.Canvas3D canvas, javax.media.j3d.BranchGroup root, javax.media.j3d.Bounds bounds, GUIState guiState)`

Method Summary
`boolean` | `getCanShowToolTips()`
`void` | `initialize()`
`void` | `processStimulus(java.util.Enumeration criteria)` Disregard all stimuli other than ...
`void` | `setCanShowToolTips(boolean val)`
`void` | `updateScene(int xpos, int ypos)`

Methods inherited from class com.sun.j3d.utils.picking.behaviors.PickMouseBehavior
`getMode, getTolerance, setMode, setTolerance`

Methods inherited from class javax.media.j3d.Behavior
`getEnable, getNumSchedulingIntervals, getSchedulingBoundingLeaf, getSchedulingBounds, getSchedulingInterval, getView, getWakeupCondition, postId, setEnable, setSchedulingBoundingLeaf, setSchedulingBounds, setSchedulingInterval, updateNodeReferences, wakeupOn`

Methods inherited from class javax.media.j3d.Node
`cloneNode, cloneTree, cloneTree, cloneTree, cloneTree, cloneTree, cloneTree, duplicateNode, getBounds, getBoundsAutoCompute, getCollidable, getLocalToVworld, getLocalToVworld, getParent, getPickable, setBounds, setBoundsAutoCompute, setCollidable, setPickable`

Methods inherited from class javax.media.j3d.SceneGraphObject
`clearCapability, clearCapabilityIsFrequent, duplicateSceneGraphObject, getCapability, getCapabilityIsFrequent, getUserData, isCompiled, isLive, setCapability, setCapabilityIsFrequent, setUserData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ToolTipBehavior

    public ToolTipBehavior(javax.media.j3d.Canvas3D canvas,
                           javax.media.j3d.BranchGroup root,
                           javax.media.j3d.Bounds bounds,
                           GUIState guiState)

Method Detail

### initialize

    public void initialize()

  Overrides:
    `initialize` in class `com.sun.j3d.utils.picking.behaviors.PickMouseBehavior`
  See Also:
    `http://archives.java.sun.com/cgi-bin/wa?A2=ind0201&L=java3d-interest&F=&S=&P=4228`

### setCanShowToolTips

    public void setCanShowToolTips(boolean val)

### getCanShowToolTips

    public boolean getCanShowToolTips()

### processStimulus

    public void processStimulus(java.util.Enumeration criteria)

  Disregard all stimuli other than ...

  Overrides:
    `processStimulus` in class `com.sun.j3d.utils.picking.behaviors.PickMouseBehavior`

### updateScene

    public void updateScene(int xpos,
                            int ypos)

  Specified by:
    `updateScene` in class `com.sun.j3d.utils.picking.behaviors.PickMouseBehavior`
  See Also:
    `PickMouseBehavior.updateScene(int,int)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD